---
apiVersion: helm.cattle.io/v1
kind: HelmChart
metadata:
  name: traefik
  namespace: kube-system
spec:
  repo: https://helm.traefik.io/traefik
  chart: traefik
  version: "10.22.0"
  targetNamespace: kube-system
  valuesContent: |-
    rbac:
      enabled: true
    podAnnotations:
      prometheus.io/port: "8082"
      prometheus.io/scrape: "true"
    providers:
      kubernetesIngress:
        publishedService:
          enabled: true
    priorityClassName: "system-cluster-critical"
    tolerations:
      - key: "CriticalAddonsOnly"
        operator: "Exists"
      - key: "node-role.kubernetes.io/control-plane"
        operator: "Exists"
        effect: "NoSchedule"
      - key: "node-role.kubernetes.io/master"
        operator: "Exists"
        effect: "NoSchedule"
    service:
      ipFamilyPolicy: "PreferDualStack"
    ingressClass:
      enabled: true
      isDefaultClass: true
    logs:
      general:
        level: DEBUG
    certResolvers:
      le:
        email: "hostmaster@{{ k3s_public_domain}}"
        storage: "/data/le.acme.json"
        httpChallenge:
          entryPoint: web
    ports:
      websecure:
        tls:
          enabled: true
          certResolver: "le"
